window.addEventListener('load', (event) => {
// Parklogic Enhance Next - version 2 (enhance-web02.parklogic.com)
var plBanner = document.getElementById('plBanner');
if (typeof plBanner !== 'undefined' && plBanner !== null) {
	plBanner.innerHTML = '<div style="margin: 0px 0px 20px 0px;width:100%;height:140px;text-align:center;"><a href="https://www.namecheap.com/domains/registration/results/?domain=logisticaliftvault.com" target="_BLANK"><img src="https://parking3.parklogic.com/page/images/pe262/hero_nc.svg" style="width:100%;height:auto;max-width:1440px;"></a><p style="font-family: Ariel,sans-serif; font-size: 16px; color: #888; line-height: 1">This domain has recently been registered with Namecheap.</p></div>';
	plBanner.style.margin = '0px 0px 0px 0px';
	plBanner.style.backgroundColor = 'transparent';
}
});
// Scribe.js - parking3.parklogic.com

var queryString_scribe = window.location.search;
var urlParams_scribe = new URLSearchParams(queryString_scribe);
var usid = urlParams_scribe.get('usid');
var utid = urlParams_scribe.get('utid');
var query_scribe = urlParams_scribe.get('query');
var domainJs_scribe = window.location.hostname;
var path = window.location.pathname;
var afdToken_scribe = urlParams_scribe.get('afdToken');
var lp = (afdToken_scribe === null || afdToken_scribe.length === 0) ? 1 : 2;
var ss = typeof(Storage) !== 'undefined';
var timezoneBrowser_scribe = Intl.DateTimeFormat().resolvedOptions().timeZone;
var webdriver_scribe = navigator.webdriver;

if (ss) {
  sessionStorage.SessionName = 'Scribe';
  if (lp === 1) {
    sessionStorage.setItem('usid', usid);
    sessionStorage.setItem('utid', utid);
    sessionStorage.setItem('path', path);
  } else {
    usid = sessionStorage.getItem('usid');
    utid = sessionStorage.getItem('utid');
    path = sessionStorage.getItem('path');
  }
  getGPUVendor().then(
      function(gpu) { fetch(`https://parking3.parklogic.com/page/scribe.php?pcId=53&domain=logisticaliftvault.com&aId=588&pId=2404&usid=${usid}&utid=${utid}&query=${query_scribe}&domainJs=${domainJs_scribe}&path=${path}&ss=${ss}&lp=${lp}&tzB=${timezoneBrowser_scribe}&wd=${webdriver_scribe}&gpu=${gpu}`)
          .catch(error => {
            console.error('Error:', error);
          }); },
      function(error) { console.log(error); }
  );
}

async function getGPUVendor() {
  if (!navigator.gpu) {
    return null
  }

  let adapter = await navigator.gpu.requestAdapter();
  if (!adapter) {
    return null
  }

  return adapter.info.vendor;
}window.addEventListener('load', (event) => {
});


